package com.unimod.fsml.model;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.evelopers.unimod.runtime.ControlledObject;
import com.evelopers.unimod.runtime.context.StateMachineContext;

/**
 * @author Ivan Lagunov
 */
@SuppressWarnings("unused")
public class StreamErrorListener implements ControlledObject {
    private static final Log logger = LogFactory.getLog(StreamErrorListener.class);

    /**
    * @unimod.action.descr token was skipped
    */
    public void z1(StateMachineContext context) {
    	logger.debug("Token was skipped");
    }

    /**
    *@unimod.action.descr tokens were added to stream
    */
    public void z2(StateMachineContext context) {
        logger.debug("Tokens were added to stream");
    }
}
